<script setup>
const props = defineProps({
  error: {
    type: String,
    default: '',
  },
});
</script>

<template>
  <slot
    :with-error-class="[
      props.error && props.error.length && ['border-red-900'],
    ]"
  />

  <div
    v-show="!!props.error && props.error.length"
    :class="[
      'w-full',
      'text-sm',
      'text-red-600',
      'bg-red-200',
      'px-2',
      'pt-2',
      '-mt-2',
      'rounded-lg',
      'dark:bg-red-900',
      'dark:text-red-200',
    ]"
  >
    {{ props.error }}
  </div>
</template>
